# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXMap

Function

Interpolates data values at sample points.

Syntax
`
#include <dx/dx.h>
`

Object DXMap(Object object, Object map, char *src, char *dst)

Functional Details

This function provides a simple generic tool for interpolation. Object `object` may be either a Field, a Composite Field, or an Array. In the first two cases, the component specified by `src` is used to sample `map`; the results of the interpolation are placed in the component specified by `dst`, and `object` is returned. If `object` is an Array, it is used directly to interpolate `map`, and an Array containing the interpolated values is returned; in this case, the `src` and `dst` parameters are ignored.

If `map` represents a data Field, it must be a Field, a Composite Field, or an Interpolator. The `src` component of this data Field is used to generate the values at the sample points.

If `map` is an Array, this routine creates a resulting Array that consists of the appropriate number of copies of the contents of the `map` Array (which must contain exactly one item). This result is then handled as previously described: if `object` is a Field or a Composite Field, the result Array is added to the Field using the component name specified by `dst`. Otherwise, the resulting Array is returned. This form is used to create a constant data value at all sample points.

`DXMapCheck` should be called before `DXMap` to check the compatibility of the input `object` and `map`.

Return Value

Returns an Object (see above) or returns `NULL` and sets an error code.

See Also

`DXInterpolate, DXMapArray, DXMapCheck, DXNewInterpolator`

14.2 , "Interpolation and Mapping".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]